Package twisted :: Package internet :: Module protocol :: Class ClientFactory |
[frames | no frames]

## Class ClientFactory

    Factory --+
              |
             ClientFactory

Known Subclasses:
  `_InstanceFactory`, `BCFactory`, `BrokerClientFactory`, `DccChatFactory`, `DictLookupFactory`, `DTPFactory`, `GoogleCheckerFactory`, `HTTPClientFactory`, `LoopbackClientFactory`, `PBClientFactory`, `ProxyClientFactory`, `ProxyClientFactory`, `QueryFactory`, `ReconnectingClientFactory`, `SMTPManagedRelayerFactory`, `SMTPSenderFactory`, `SSHClientFactory`, `SSHUnixClientFactory`, `UsenetClientFactory`, `WrappingFactory`

A Protocol factory for clients.

This can be used together with the various connectXXX methods in reactors and Applications.

Method Summary
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### clientConnectionFailed(self, connector, reason) Called when a connection has failed. It may be useful to call connector.connect() - this will reconnect. Parameters: `reason` (type=`twisted.python.failure.Failure`)

### clientConnectionLost(self, connector, reason) Called when a connection is lost. It may be useful to call connector.connect() - this will reconnect. Parameters: `reason` (type=`twisted.python.failure.Failure`)

### startedConnecting(self, connector) Called when a connection has been started. You can call connector.stopConnecting() to stop the connection attempt. Parameters: `connector` - a Connector object.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net